
using Domain.Entities;

namespace Core.Interfaces
{
    public interface ITicketDom
    {
        //byte[] ExcelTicketDashboard(string Estado, string Orden);
        //IEnumerable<ETicket> GetAll();
        //ETicket GetById(Guid ticketId);
        //IEnumerable<ETickets_GetSummary> GetSummary();
        //IEnumerable<ETicket_Dashboard> GetTicketDashboard(string Estado, string Orden);

        //void InsertTicket(ETicket ticket);

        Task<IEnumerable<ETicket>> GetAllAsync();
        Task<ETicket> GetByIdAsync(Guid ticketId); // Cambiado a asincrónico
        Task<IEnumerable<ETickets_GetSummary>> GetSummaryAsync(); // Cambiado a asincrónico
        Task<IEnumerable<ETicket_Dashboard>> GetTicketDashboardAsync(string estado, string orden); // Cambiado a asincrónico
        Task InsertTicketAsync(ETicket ticket); // Cambiado a asincrónico
        Task<byte[]> ExcelTicketDashboardAsync(string estado, string orden);
    }
}
